;+
;PROCEDURE:  goes_init
;PURPOSE:    Initializes system variables for GOES.  Can be called from idl_startup to set
;            custom locations.
;
; The system variable !GOES is defined here.  The elements of this structure 
; are the same as for !THEMIS. 
;
;$LastChangedBy: jwl $
;$LastChangedDate: 2009-05-04 15:53:45 -0700 (Mon, 04 May 2009) $
;$LastChangedRevision: 5774 $
;$URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/ssl_general/trunk/missions/goesmag/goes_init.pro $
;-
pro goes_init

defsysv,'!goes',exists=exists
if not keyword_set(exists) then begin
   defsysv,'!goes', file_retrieve(/structure_format)
   ftest = goes_read_config()
   if(size(ftest, /type) Eq 8) Then Begin
       print, 'Loading saved GOES config.'
       !goes.local_data_dir = ftest.local_data_dir
       !goes.remote_data_dir = ftest.remote_data_dir
       !goes.no_download = ftest.no_download
       !goes.no_update = ftest.no_update
       !goes.downloadonly = ftest.downloadonly
       !goes.verbose = ftest.verbose

    endif else begin
       print,'No GOES config found...creating default configuration'
       defsysv,'!goes', file_retrieve(/structure_format)
       !goes.remote_data_dir = 'http://themis.ssl.berkeley.edu/data/goes/'
       !goes.local_data_dir = root_data_dir() + 'goes/'
       print,'Saving default GOES config...'
       goes_write_config
    endelse
endif

printdat,/values,!goes,varname='!goes'   ;,/pgmtrace
return
end
